# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class LinkedServiceProps(Model):
    """LinkedService specific properties.

    :param linked_service_resource_id: ResourceId of the link target of the
     linked service.
    :type linked_service_resource_id: str
    :param link_type: Type of the link target. Possible values include:
     'Synapse'
    :type link_type: str or ~_restclient.models.LinkedServiceLinkType
    :param created_time: The creation time of the linked service.
    :type created_time: datetime
    :param modified_time: The last modified time of the linked service.
    :type modified_time: datetime
    """

    _validation = {
        'linked_service_resource_id': {'required': True},
    }

    _attribute_map = {
        'linked_service_resource_id': {'key': 'linkedServiceResourceId', 'type': 'str'},
        'link_type': {'key': 'linkType', 'type': 'LinkedServiceLinkType'},
        'created_time': {'key': 'createdTime', 'type': 'iso-8601'},
        'modified_time': {'key': 'modifiedTime', 'type': 'iso-8601'},
    }

    def __init__(self, linked_service_resource_id, link_type=None, created_time=None, modified_time=None):
        super(LinkedServiceProps, self).__init__()
        self.linked_service_resource_id = linked_service_resource_id
        self.link_type = link_type
        self.created_time = created_time
        self.modified_time = modified_time
