# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ApplicationEndpointConfiguration(Model):
    """A class to specify the configuration for application endpoint.

    :param type: Application type. Possible values include: 'Jupyter',
     'JupyterLab', 'SSH', 'TensorBoard', 'VSCode', 'Theia', 'Grafana', 'Custom'
    :type type: str or ~_restclient.models.ApplicationEndpointType
    :param port: The local port required in job container. Optional. The
     compute provider will pick a random port if it's not specified.
    :type port: int
    :param properties: Some possible keys are:
     - command: optional. Applies when Type is Custom.
     - logDir: optional. Applies when Type is TensorBoard.
    :type properties: dict[str, str]
    """

    _attribute_map = {
        'type': {'key': 'type', 'type': 'ApplicationEndpointType'},
        'port': {'key': 'port', 'type': 'int'},
        'properties': {'key': 'properties', 'type': '{str}'},
    }

    def __init__(self, type=None, port=None, properties=None):
        super(ApplicationEndpointConfiguration, self).__init__()
        self.type = type
        self.port = port
        self.properties = properties
