# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class EnvironmentImageRequest(Model):
    """Request to create a Docker image based on Environment.

    :param driver_program: The name of the driver file.
    :type driver_program: str
    :param assets: The list of assets.
    :type assets: list[~_restclient.models.ImageAsset]
    :param model_ids: The list of model Ids.
    :type model_ids: list[str]
    :param models_property: The list of models.
    :type models_property: list[~_restclient.models.Model]
    :param environment: The details of the AZURE ML environment.
    :type environment: ~_restclient.models.EnvironmentImageRequestEnvironment
    :param environment_reference: The unique identifying details of the AZURE
     ML environment.
    :type environment_reference:
     ~_restclient.models.EnvironmentImageRequestEnvironmentReference
    """

    _attribute_map = {
        'driver_program': {'key': 'driverProgram', 'type': 'str'},
        'assets': {'key': 'assets', 'type': '[ImageAsset]'},
        'model_ids': {'key': 'modelIds', 'type': '[str]'},
        'models_property': {'key': 'models', 'type': '[Model]'},
        'environment': {'key': 'environment', 'type': 'EnvironmentImageRequestEnvironment'},
        'environment_reference': {'key': 'environmentReference', 'type': 'EnvironmentImageRequestEnvironmentReference'},
    }

    def __init__(self, driver_program=None, assets=None, model_ids=None, models_property=None, environment=None, environment_reference=None):
        super(EnvironmentImageRequest, self).__init__()
        self.driver_program = driver_program
        self.assets = assets
        self.model_ids = model_ids
        self.models_property = models_property
        self.environment = environment
        self.environment_reference = environment_reference
