# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class GeneralSettings(Model):
    """GeneralSettings.

    :param primary_metric: Possible values include: 'AUC_weighted',
     'accuracy', 'norm_macro_recall', 'average_precision_score_weighted',
     'precision_score_weighted', 'spearman_correlation',
     'normalized_root_mean_squared_error', 'r2_score',
     'normalized_mean_absolute_error',
     'normalized_root_mean_squared_log_error', 'mean_average_precision', 'iou'
    :type primary_metric: str or ~_restclient.models.OptimizationMetric
    :param model_explanability:
    :type model_explanability: bool
    :param task_type: Possible values include: 'classification', 'regression',
     'forecasting'
    :type task_type: str or ~_restclient.models.TaskType
    """

    _attribute_map = {
        'primary_metric': {'key': 'primaryMetric', 'type': 'OptimizationMetric'},
        'model_explanability': {'key': 'modelExplanability', 'type': 'bool'},
        'task_type': {'key': 'taskType', 'type': 'TaskType'},
    }

    def __init__(self, primary_metric=None, model_explanability=None, task_type=None):
        super(GeneralSettings, self).__init__()
        self.primary_metric = primary_metric
        self.model_explanability = model_explanability
        self.task_type = task_type
