# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class IdentityConfiguration(Model):
    """A class to manage Identity Configuration. Identity configuration let users
    to chose the identity to use for run when running on remote compute.

    :param type: Identity Type to use for the run. Possible values include:
     'Managed', 'ServicePrincipal', 'AMLToken'
    :type type: str or ~_restclient.models.IdentityType
    :param properties: Properties related to Identity. For User Assigned MSI
     client_id can be passed here.
    :type properties: dict[str, str]
    :param secret: Secret if any to be used. Needed only for Service
     Principal.
    :type secret: str
    """

    _attribute_map = {
        'type': {'key': 'type', 'type': 'IdentityType'},
        'properties': {'key': 'properties', 'type': '{str}'},
        'secret': {'key': 'secret', 'type': 'str'},
    }

    def __init__(self, type=None, properties=None, secret=None):
        super(IdentityConfiguration, self).__init__()
        self.type = type
        self.properties = properties
        self.secret = secret
